Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w04_02-rob_256x4.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w04_02-rob_256x4.cfg	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x01_w04_02-rob_256x4.cfg	(revision 138)
@@ -38,4 +38,5 @@
                                                             
   <read_bloc id="0,1,2,3,4,5">
+    <parameter name="nb_inst_read"                          value="1" />
     <parameter name="size_read_queue"                       value="4" />
     <parameter name="size_reservation_station"              value="4" />
@@ -44,4 +45,5 @@
 
   <write_bloc id="0,1,2,3,4,5">
+    <parameter name="nb_inst_write"                         value="1" />
     <parameter name="size_write_queue"                      value="4" />
     <parameter name="size_execute_queue"                    value="4" />
@@ -54,6 +56,13 @@
     <parameter name="size_load_queue"                       value="16" />
     <parameter name="size_speculative_access_queue"         value="4" />
+    <parameter name="nb_store_queue_bank"                   value="1" />
+    <parameter name="nb_load_queue_bank"                    value="1" />
     <parameter name="nb_port_check"                         value="4" />
-    <parameter name="speculative_load"                      value="2" />
+    <parameter name="speculative_load"                      value="1" />
+    <parameter name="speculative_commit_predictor_scheme"   value="1" />
+    <predictor id="0">
+      <parameter name="lsu_pht_size_counter"                value="2" />
+      <parameter name="lsu_pht_nb_counter"                  value="64"/>
+    </predictor>
     <parameter name="nb_bypass_memory"                      value="0" />
     <parameter name="nb_cache_port"                         value="1" />
@@ -129,4 +138,5 @@
     <parameter name="size_re_order_buffer"                  value="256"/>
     <parameter name="nb_re_order_buffer_bank"               value="4" />
+    <parameter name="retire_ooo_scheme"                     value="0" />
     <parameter name="commit_priority"                       value="1" />
     <parameter name="commit_load_balancing"                 value="1" />
@@ -137,6 +147,6 @@
     <parameter name="issue_load_balancing"                  value="1" />
     <parameter name="size_reexecute_queue"                  value="4" />
-    <parameter name="reexecute_priority"                    value="1" />
-    <parameter name="reexecute_load_balancing"              value="1" />
+
+
   </ooo_engine>
 
@@ -200,41 +210,12 @@
   <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
 
-  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.0" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.0" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.1" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.1" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.2" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.2" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.3" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.3" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.4" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.4" dest="1"   />
-
-  <link name="table_dispatch"                          src="0.0.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.1.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.2.5" dest="1"   />
-  <link name="table_dispatch"                          src="0.3.5" dest="1"   />
-
-  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="1.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="2.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="3.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="4.0"   dest="0"   />
-  <link name="link_read_bloc_and_load_store_unit"      src="5.0"   dest="0"   />
-
+
+
+
+
+
+
+
+  <link name="link_read_bloc_with_load_store_unit"     src="0"     dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="0"   />
   <link name="link_read_bloc_and_functionnal_unit"     src="1.0"   dest="1"   />
@@ -268,10 +249,5 @@
   <link name="link_read_bloc_and_functionnal_unit"     src="5.4"   dest="1"   />
 
-  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="1.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="2.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="3.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="4.0"   dest="0"   />
-  <link name="link_write_bloc_and_load_store_unit"     src="5.0"   dest="0"   />
+  <link name="link_write_bloc_with_load_store_unit"    src="0"     dest="0"   />
 
   <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="0"   />
